Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.commons.digester3.binder
Enum NodeCreateRuleProvider.NodeType

    java.lang.Object
      java.lang.Enum<NodeCreateRuleProvider.NodeType>
          org.apache.commons.digester3.binder.NodeCreateRuleProvider.NodeType

All Implemented Interfaces:
  Serializable, Comparable<NodeCreateRuleProvider.NodeType>

Enclosing class:
  NodeCreateRuleProvider

    public static enum NodeCreateRuleProvider.NodeType

extends Enum<NodeCreateRuleProvider.NodeType>

Enumeration that wraps admitted `Node` node constants.

Enum Constant Summary
`ATTRIBUTE`
`CDATA`
`COMMENT`
`DOCUMENT`
`DOCUMENT_FRAGMENT`
`DOCUMENT_TYPE`
`ELEMENT`
`ENTITY`
`ENTITY_REFERENCE`
`NOTATION`
`PROCESSING_INSTRUCTION`
`TEXT`

Method Summary
`static NodeCreateRuleProvider.NodeType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static NodeCreateRuleProvider.NodeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ATTRIBUTE

    public static final NodeCreateRuleProvider.NodeType ATTRIBUTE

See Also:
  `Node.ATTRIBUTE_NODE`

### CDATA

    public static final NodeCreateRuleProvider.NodeType CDATA

See Also:
  `Node.CDATA_SECTION_NODE`

### COMMENT

    public static final NodeCreateRuleProvider.NodeType COMMENT

See Also:
  `Node.COMMENT_NODE`

### DOCUMENT_FRAGMENT

    public static final NodeCreateRuleProvider.NodeType DOCUMENT_FRAGMENT

See Also:
  `Node.DOCUMENT_FRAGMENT_NODE`

### DOCUMENT

    public static final NodeCreateRuleProvider.NodeType DOCUMENT

See Also:
  `Node.DOCUMENT_NODE`

### DOCUMENT_TYPE

    public static final NodeCreateRuleProvider.NodeType DOCUMENT_TYPE

See Also:
  `Node.DOCUMENT_TYPE_NODE`

### ELEMENT

    public static final NodeCreateRuleProvider.NodeType ELEMENT

See Also:
  `Node.ELEMENT_NODE`

### ENTITY

    public static final NodeCreateRuleProvider.NodeType ENTITY

See Also:
  `Node.ENTITY_NODE`

### ENTITY_REFERENCE

    public static final NodeCreateRuleProvider.NodeType ENTITY_REFERENCE

See Also:
  `Node.ENTITY_REFERENCE_NODE`

### NOTATION

    public static final NodeCreateRuleProvider.NodeType NOTATION

See Also:
  `Node.NOTATION_NODE`

### PROCESSING_INSTRUCTION

    public static final NodeCreateRuleProvider.NodeType PROCESSING_INSTRUCTION

See Also:
  `Node.PROCESSING_INSTRUCTION_NODE`

### TEXT

    public static final NodeCreateRuleProvider.NodeType TEXT

See Also:
  `Node.TEXT_NODE`

Method Detail

### values

    public static final NodeCreateRuleProvider.NodeType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(NodeCreateRuleProvider.NodeType c : NodeCreateRuleProvider.NodeType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static NodeCreateRuleProvider.NodeType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2011 The Apache Software Foundation. All Rights Reserved.